## Neovim install 

### Requirements for this configuration to work:
ansible ansible-lint npm neovim ripgrep 

### Note neovim has to be version 0.10.0 or later.

Denpenting on your OS this can be installed on Rhel or Fedora like this
```
sudo dnf install ansible ansible-lint npm neovim ripgrep
```

If you are using Ubuntu it can be done like this
```
sudo apt install ansible ansible-lint npm neovim ripgrep
```

How to use the plugins and configuration
```
git clone https://git.nopants.dk/shell/neovim_config.git ~/.config/nvim
```

This is a simple starter config for neovim, there is a few plugins for changing the default colors, a lsp that still needs figuring out, telescope for fuzzy finding, and treesitter for better syntax highliting.

### Note:
To use the ansiblels LSP, you need either vs code installed or npm installed. May well be that vs code installs and uses npm to install the ansiblels LSP
There is also some remaps that I could not image going back to not using, since they make life a lot eaiser and better when it comes to working in files
